
Katello - Bug #5181

Content Views for Composite total is incorrect when all selected

04/14/2014 02:32 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Content Views   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1110955 Red Hat JIRA:  

Pull request:    

Description

If you click select all on a composite's content view add page the total will include content views that were filtered out of the list.

Steps to Reproduce

1. Create two content views

2. Publish one

3. Create a composite content view

4. Go to the composite's content view add page

5. Click select all

6. Notice the count reflects the non-published content view

Associated revisions

Revision 01b4d38a - 07/01/2014 12:25 PM - Walden Raines

Fixes #5181/BZ1110955 - filter available for composte CV server side.

The bugs mention that the total is incorrect when using the select all

control.  This was due to Bastion transforming the response from the index

call on Content Views and hiding non-applicable results.  This commit

moves that logic to the server side where it belongs.

Revision 8911f214 - 07/01/2014 12:25 PM - Walden Raines

Fixes #5181/BZ1110955 - filter available for composte CV server side.

The bugs mention that the total is incorrect when using the select all

control.  This was due to Bastion transforming the response from the index

call on Content Views and hiding non-applicable results.  This commit

moves that logic to the server side where it belongs.

Revision 60a98734 - 07/01/2014 01:53 PM - Walden Raines

Merge pull request #4352 from waldenraines/5181

Fixes #5181/BZ1110955 - filter available for composte CV server side.

Revision 7d4b98f7 - 07/01/2014 01:53 PM - Walden Raines

Merge pull request #4352 from waldenraines/5181

Fixes #5181/BZ1110955 - filter available for composte CV server side.

History

#1 - 04/24/2014 05:20 PM - Walden Raines

- Status changed from Assigned to New

#2 - 06/04/2014 12:31 PM - Eric Helms

05/17/2024 1/2



- Difficulty set to trivial

- Triaged changed from No to Yes

#3 - 06/04/2014 01:19 PM - Walden Raines

- Difficulty changed from trivial to easy

#4 - 06/18/2014 09:28 PM - Walden Raines

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1110955

#5 - 06/25/2014 08:15 PM - Walden Raines

- Status changed from New to Assigned

#6 - 06/25/2014 09:48 PM - Walden Raines

- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4352

#7 - 07/01/2014 02:05 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|01b4d38ac2a26f9e853d1a833eded0fc1dd05b4e.

#8 - 07/07/2014 07:23 AM - Eric Helms

- Target version set to 48

#9 - 08/21/2014 02:45 PM - Eric Helms

- translation missing: en.field_release set to 13
